package com.xkrs.model.qo;

import com.xkrs.model.validation.DataDictQoInsert;
import com.xkrs.model.validation.DataSourceQoInsert;

import javax.persistence.Column;
import javax.validation.constraints.NotBlank;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/19 16:37
 */
public class DataSourceQo {
    /**
     * 机种号
     */
    @NotBlank(message = "{DataSource.dataModelNumber.blank}",groups={DataSourceQoInsert.class})
    private String dataModelNumber;

    /**
     * 批次号
     */
    @NotBlank(message = "{DataSource.dataBatchNumber.blank}",groups={DataSourceQoInsert.class})
    private String dataBatchNumber;

    /**
     * 机器号
     */
    @NotBlank(message = "{DataSource.dataMachineCode.blank}",groups={DataSourceQoInsert.class})
    private String dataMachineCode;

    /**
     * 模具
     */
    @NotBlank(message = "{DataSource.productNumber.blank}",groups={DataSourceQoInsert.class})
    private String productNumber;

    /**
     * 材料
     */
    private String material;

    /**
     * 变量值
     */
    @NotBlank(message = "{DataSource.dataName.blank}",groups={DataSourceQoInsert.class})
    private String dataName;

    /**
     * 监测的数值
     */
    @NotBlank(message = "{DataSource.numericalValue.blank}",groups={DataSourceQoInsert.class})
    private String numericalValue;

    public String getDataModelNumber() {
        return dataModelNumber;
    }

    public void setDataModelNumber(String dataModelNumber) {
        this.dataModelNumber = dataModelNumber;
    }

    public String getDataBatchNumber() {
        return dataBatchNumber;
    }

    public void setDataBatchNumber(String dataBatchNumber) {
        this.dataBatchNumber = dataBatchNumber;
    }

    public String getDataMachineCode() {
        return dataMachineCode;
    }

    public void setDataMachineCode(String dataMachineCode) {
        this.dataMachineCode = dataMachineCode;
    }

    public String getProductNumber() {
        return productNumber;
    }

    public String getMaterial() {
        return material;
    }

    public void setMaterial(String material) {
        this.material = material;
    }

    public void setProductNumber(String productNumber) {
        this.productNumber = productNumber;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getNumericalValue() {
        return numericalValue;
    }

    public void setNumericalValue(String numericalValue) {
        this.numericalValue = numericalValue;
    }
}
